Subject: Re: [RFC, PATCH] dont insert sockets/pipes dentries into dentry_hashtable.

From: Eric Dumazet <[email-masked]>
Date: Wed, 01 Nov 2006 10:04:20 +0100

Al Viro a écrit :
> On Wed, Nov 01, 2006 at 09:21:06AM +0100, Eric Dumazet wrote:
> 
>> And " (deleted)" is correctly added to deleted files.
> 
> The hell it will.
> 
> touch a
> touch b
> exec 5<a
> mv b a
> ls -l /proc/$$/fd/5
> 
> With your patch and without it, please.

Yes I will do, thanks.

> 
> PS: getting rid of socket dentries is a bad idea with the capital "Fuck, No".
> For those who want to see where does that path lead and are attracted to
> trainwrecks in general I can recommend *BSD socket handling.  They have
> paid quite painfully for lack of proper vnodes.  It's simply not worth
> the resulting trouble.

I have one server with one million sockets, wasting 210 MB of ram for dentries 
that are only used when some guy does some /proc/$pid/fd work

Socket hot path already dont use anymore dentries, thanks to file->private_data

Eric